<template name="statsPage">
	<div class="container">
		{{#unless isAdmin}}
			<h1>{{i18n 'region.stats.plzLogin' 'PLZ login as admin!'}}</h1>
		{{else}}
			{{#if regionStats}}
				<div>
					<select class="js-stats-region-selector">
						<option value="all" {{selectedRegion}}>{{i18n 'region.stats.allRegions' 'All regions'}}
						</option>
						{{#each region in regions}}
							<option value="{{region._id}}" {{selectedRegion region._id}}>
								{{region.name}}
							</option>
						{{/each}}
					</select>
				</div>
				<h1 class="mt-5">
					{{#if regionName}}
						{{i18n 'region.list.titleForRegion' 'Overview {REGION}' REGION=regionName}}
					{{else}}
						{{i18n 'region.list.title' 'Regions'}}
					{{/if}}
				</h1>
				<table class="stats">
					<thead>
						<tr>
							<th colspan="2">{{i18n 'region.stats.courses' 'Courses'}}</th>
							<th colspan="2">{{i18n 'region.stats.events' 'Events'}}</th>
							<th>{{i18n 'region.stats.usersParticipating' 'Users participating'}}
							</th>
						</tr>
						<tr>
							<th>{{i18n 'region.stats.courses.total' 'Total'}}</th>
							<th>{{i18n 'region.stats.courses.active' 'Active'}}</th>
							<th>{{i18n 'region.stats.events.passed' 'Passed'}}</th>
							<th>{{i18n 'region.stats.events.future' 'Future'}}</th>
							<th>&nbsp;</th>
						</tr>
					</thead>
					<tbody>
						<tr>
							<td class="number"
								title="{{i18n 'region.stats.multipleParticipate' 'Some users participate in multiple events'}}">
								<strong>{{regionStats.total.numCourses}}</strong>
							</td>
							<td class="number"><strong>{{regionStats.total.activeCourses}}</strong>
							</td>
							<td class="number"><strong>{{regionStats.total.passedEvents}}</strong>
							</td>
							<td class="number"><strong>{{regionStats.total.futureEvents}}</strong>
							</td>
							<td class="number">
								<strong>{{regionStats.total.usersParticipating}}</strong>
							</td>
						</tr>
					</tbody>
				</table>
				<div class="mt-5">
					<h2>{{i18n 'regions.stats.header' 'Group statistics'}}</h2>
					<table class="stats">
						<thead>
							<tr>
								<th>{{i18n 'region.stats.group' 'Group'}}</th>
								<th colspan="2">{{i18n 'region.stats.courses' 'Courses'}}</th>
								<th colspan="2">{{i18n 'region.stats.events' 'Events'}}</th>
								<th>{{i18n 'region.stats.usersParticipating' 'Users participating'}}
								</th>
							</tr>
							<tr>
								<th>&nbsp;</th>
								<th>{{i18n 'region.stats.courses.total' 'Total'}}</th>
								<th>{{i18n 'region.stats.courses.active' 'Active'}}</th>
								<th>{{i18n 'region.stats.events.passed' 'Passed'}}</th>
								<th>{{i18n 'region.stats.events.future' 'Future'}}</th>
								<th>&nbsp;</th>
							</tr>
						</thead>
						<tbody>
							{{#each group in regionStats.group.groups}}
								<tr>
									<td>
										{{#if group.id}}
											<a
											   href="{{pathFor 'groupDetails' _id=group.id}}">{{group.name}}</a>
										{{else}}
											{{i18n 'region.stats.ungrouped' "Ungrouped"}}
										{{/if}}
									</td>
									<td class="number">{{group.numCourses}}</td>
									<td class="number">{{group.activeCourses}}</td>
									<td class="number">{{group.passedEvents}}</td>
									<td class="number">{{group.futureEvents}}</td>
									<td class="number">{{group.usersParticipating}}</td>
								</tr>
							{{/each}}
							<tr>
								<td><strong>{{i18n 'region.stats.total' 'Total'}}</strong></td>
								<td class="number"
									title="{{i18n 'region.stats.multipleParticipate' 'Some users participate in multiple events'}}">
									<strong>{{regionStats.total.numCourses}}</strong>
								</td>
								<td class="number">
									<strong>{{regionStats.group.total.activeCourses}}</strong>
								</td>
								<td class="number">
									<strong>{{regionStats.group.total.passedEvents}}</strong>
								</td>
								<td class="number">
									<strong>{{regionStats.group.total.futureEvents}}</strong>
								</td>
								<td class="number">
									<strong>{{regionStats.group.total.usersParticipating}}</strong>
								</td>
							</tr>
						</tbody>
					</table>
				</div>
			{{else}}
				{{> loadingPage}}
			{{/if}}
		{{/unless}}
	</div>
</template>
